#ifndef SERIALIZERS_H
#define SERIALIZERS_H

#include <string>

class Mesh;
class Light;
class Texture;

namespace Serializers
{
    bool saveMesh(const std::string &filename, Mesh *mesh);
    bool saveLight(const std::string &filename, Light *light);
    
    Mesh* loadMesh(const std::string &filename);
    Light* loadLight(const std::string &filename);
}

#endif // SERIALIZERS_H
